include /etc/openldap/schema/core.schema
include /etc/openldap/schema/cosine.schema
include /etc/openldap/schema/inetorgperson.schema
include /etc/openldap/schema/nis.schema
include /etc/openldap/schema/samba.schema
allow bind_v2
pidfile /var/run/openldap/slapd.pid
argsfile /var/run/openldap/slapd.args
database bdb
suffix "dc=sunport,dc=ms"
rootdn "cn=tirex,dc=sunport,dc=ms"
rootpw {SSHA}A2J5MqRIKGv0VK3peC0GsnlxXe3Pdvtl
#password-hash {SSHA}

loglevel 288
logfile /var/log/ldap.log

# Определяем несколько базовых ACL
access to attrs=userPassword,sambaNTPassword,sambaLMPassword
    by self write
    by anonymous auth
    by * none

access to *
    by self read
    by users read
    by anonymous auth
    by * none


directory /var/lib/ldap
index cn,sn,uid,displayName pres,sub,eq
index uidNumber,gidNumber eq
index sambaSID eq
index sambaPrimaryGroupSID eq
index sambaDomainName eq
index objectClass pres,eq
index default sub
